Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.status
Class StatusData

    java.lang.Object
      org.apache.logging.log4j.status.StatusData

All Implemented Interfaces:
  Serializable

    public class StatusData

extends Object
implements Serializable

The Status data.

See Also:
  Serialized Form

Constructor Summary
`StatusData(StackTraceElement caller, Level level, Message msg, Throwable t)` Creates the StatusData object.

Method Summary
`String` | `getFormattedStatus()` Formats the StatusData for viewing.
`Level` | `getLevel()` Returns the logging level for the event.
`Message` | `getMessage()` Returns the message associated with the event.
`StackTraceElement` | `getStackTraceElement()` Returns the StackTraceElement for the method that created the event.
`Throwable` | `getThrowable()` Returns the Throwable associated with the event.
`long` | `getTimestamp()` Returns the event's timestamp.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusData

    public StatusData(StackTraceElement caller,
                      Level level,
                      Message msg,
                      Throwable t)

  Creates the StatusData object.

  Parameters:
    `caller` - The method that created the event.
    `level` - The logging level.
    `msg` - The message String.
    `t` - The Error or Exception that occurred.

Method Detail

### getTimestamp

    public long getTimestamp()

  Returns the event's timestamp.

  Returns:
    The event's timestamp.

### getStackTraceElement

    public StackTraceElement getStackTraceElement()

  Returns the StackTraceElement for the method that created the event.

  Returns:
    The StackTraceElement.

### getLevel

    public Level getLevel()

  Returns the logging level for the event.

  Returns:
    The logging level.

### getMessage

    public Message getMessage()

  Returns the message associated with the event.

  Returns:
    The message associated with the event.

### getThrowable

    public Throwable getThrowable()

  Returns the Throwable associated with the event.

  Returns:
    The Throwable associated with the event.

### getFormattedStatus

    public String getFormattedStatus()

  Formats the StatusData for viewing.

  Returns:
    The formatted status data as a String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.